import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class LogoutPopu extends StatelessWidget  {
  
  @override
  Widget build(BuildContext context) {
    return Center(
      child:
          Container(
        margin: const EdgeInsets.only(left: 20, right: 20),
        width: MediaQuery.of(context).size.width,
        decoration: const BoxDecoration(
          color: Colors.white, //Colors.black.withAlpha(170),
          borderRadius: BorderRadius.all(Radius.circular(10)),
        ),
        child: Column(
          mainAxisSize: MainAxisSize.min,
          children: [
            Container(
              height: 50,
              decoration: const BoxDecoration(
                  border:
                      Border(bottom: BorderSide(color: Colors.red, width: 1))),
              alignment: Alignment.center,
              child: /* Center(
                child:  */
                  const Text(
                "提示",
                style: TextStyle(
                    color: Color.fromARGB(255, 68, 60, 60),
                    fontSize: 20,
                    decoration: TextDecoration.none),
              ),
            ),

            Container(
              padding: const EdgeInsets.all(30),
              alignment: Alignment.center,
              decoration: const BoxDecoration(
                  border: Border(
                      bottom: BorderSide(color: Colors.green, width: 1))),
              child: const Text(
                "确定退出登录吗",
                style: TextStyle(
                    color: Color.fromARGB(255, 68, 60, 60),
                    fontSize: 15,
                    decoration: TextDecoration.none),
              ),
            ),
            Row(
              children: [
                Expanded(
                    child: Container(
                  height: 50,
                  alignment: Alignment.center,
                  decoration: const BoxDecoration(
                      border: Border(
                          right: BorderSide(color: Colors.green, width: 1))),
                  child: const Text(
                    "取消",
                    style: TextStyle(
                        color: Color.fromARGB(255, 68, 60, 60),
                        fontSize: 15,
                        decoration: TextDecoration.none),
                  ),
                )),
                Expanded(
                    child: Container(
                  alignment: Alignment.center,
                  height: 50,
                  child: const Text(
                    "退出",
                    style: TextStyle(
                        color: Color.fromARGB(255, 68, 60, 60),
                        fontSize: 15,
                        decoration: TextDecoration.none),
                  ),
                ))
              ],
            )

            // )
          ],
        ),
      ),
      // ),
    );
  }

}
